<?php
// +-----------------------------------------------------------------------+
// | User Custom Fields plugin for Piwigo by TEMMII                        |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2016-2022 ddtddt               http://temmii.com/piwigo/ |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

//ajouter filtre sur page option pour supprimer email obligatoire

add_event_handler('loc_begin_admin_page', 'ucf_add_popin');
function ucf_add_popin(){
  global $template;
  $template->set_prefilter('user_list', 'ucf_add_popin_prefilter');
  $template->set_prefilter('config', 'ucf_config_prefilter');
}
 
function ucf_add_popin_prefilter($content){
  // add js link
  $search = '<div class="selection-mode-group-manager" style="right:30px">';
  $replace = '{combine_script id="jquery.ucf" load=\'footer\' path="$UCF_PATH2/js/ucf.js"}';
  $content = str_replace($search, $replace.$search, $content);

//css
  $search = '</style>';
  $replace = '
.user-property-user-ucf {
    margin-bottom:34px;
    height:20px;
    color: #000;
    cursor: pointer;
}

.user-ucf-title {
    font-size:1em;
}

		  ';
  $content = str_replace($search, $replace.$search, $content);
	
  $search = '<p class="user-property-button"> <span class="icon-signal user-edit-icon"> </span><a href="" >{\'Visit history\'|@translate}</a></p>
              </div>
            </div>';
	
  $replace = '<div class="user-stats">
              <div class="user-property-user-ucf">
                <p class="user-property-button"> <span class="icon-pencil user-edit-icon"> </span><a data-url="{$UCF_ADMIN2}" href="#" >{\'Custom fields\'|@translate}</a></p>
              </div>
            </div>';
		 
  return str_replace($search,$search.$replace, $content);
}

function ucf_config_prefilter($content){
  $search = '#(<li>
        <label class="font-checkbox">
          <span class="icon-check"></span>
          <input type="checkbox" name="obligatory_user_mail_address").*Mail address is mandatory for registration\'\|translate}
        </label>
      </li>#ms';
  return preg_replace($search, '', $content);
}
